Skip to content

Bulk variable group info

GET
/v1/bulk/info/variable-group

Fetch metadata for multiple statistical variable groups.

nodes
Array<string>

(optional) The variable group dcids to query for. If not specified, then return all the variable group info.

constrainedEntities
Array<string>

(optional) When specified, only return the variable groups that at least num_entities_existence number of entities has data for.

numEntitiesExistence
integer format: int32

(optional) Number of passed in entities that should have data for the stat var (group)s that are returned. Default to 1 if unspecified.

A successful response.

object
data
Array<object>
object
node
string
info
object
absoluteName

Absolute name of StatVarGroup. Typically used only for root nodes.

string
childStatVars

List of children StatVar IDs directly attached to this group. If there are auto-generated and curated IDs for a StatVar, we’ll prefer the curated.

Array<object>
object
id

StatVar ID.

string
searchName

Name suitable for search.

string
searchNames

Names suitable for search.

Array<string>
displayName

Name suitable for display in tree.

string
definition

Serialized string containing StatVar definition.

The format is P=V delimited by commas. The required properties are abbreviated (populationType is ‘pt’, statType is ‘st’, etc). For example, “median income of women” is:

“st=medianValue,pt=Person,mp=income,gender=Female”

When statType is “measuredValue” (default), it is skipped.

string
hasData
Whether there is a data for this stat var
boolean
childStatVarGroups

List of children StatVarGroups that are immediate specializations.

Array<object>
object
id

StatVarGroup ID.

string
specializedEntity

The specialized entity of the child StatVarGroup relative to the parent. This can be used for naming when the child appears in the hierarchy.

string
displayName

==== Below are fields not in original cache. Name suitable for display in tree.

string
descendentStatVarCount

Number of unique descendent stat-vars.

integer format: int32
descendentStatVarCount

Number of unique descendent stat-vars.

integer format: int32
parentStatVarGroups

List of parent StatVarGroup IDs.

Array<string>

An unexpected error response.

object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties